X-Cart: shopping cart software

X-Cart forums (https://forum.x-cart.com/index.php)
-   News and Announcements (https://forum.x-cart.com/forumdisplay.php?f=28)
-   -   X-Cart 5.4.0 Public Beta is out (https://forum.x-cart.com/showthread.php?t=76913)

mgwashburn 07-22-2019 07:14 PM

Re: X-Cart 5.4.0 Public Beta is out
 
I am facing the same problem here, I use Amazon's EC2 Linux 2 servers and they use:


PHP: 7.2.19 MySQL server: 5.5.5-10.2.10-MariaDB (InnoDB engine support enabled) Web server: Apache/2.4.39 () Operating system: Linux

XML parser: found GDLib: found (bundled (2.1.0 compatible)) Translation driver: GetText Curl version: 7.61.1

it won't let me upgrade.


ALSO,



I did a fresh install of X-cart 5.4 last week on the same server for a test environment. Everything looked good, but after uninstalling some unneeded plug-ins the entire admin back-end stopped working...I only get a white screen. The front end still works, but something is seriously broken. I didn't even have time to do anything except for adding one test category.

mvs 07-24-2019 03:22 AM

Re: X-Cart 5.4.0 Public Beta is out
 
Quote:

Originally Posted by kevinrm
My cart (5.3.6.2) is asking me to upgrade to 5.4. I'm getting this warning:

"Upgrade not allowed
X-Cart v5.4 requires MySQL version 5.7.7 or better. Please update the MySQL version installed on your server before you proceed."

However, I have the latest MySQL Maria 10.3 version. That's the latest available, right? This won't upgrade with Maria 10.3?

In 5.3.6.3 we will have a fix which allows upgrading the store with MariaDB which provide a version.
5.3.6.3 will be released in merchant wave in September. Please contact our support team and they will be able to apply the hotfix to your store. Keep in mind that 5.4.0.x is still not available in merchant wave to upgrade from 5.3.6.x.

Thanks!

mvs 07-24-2019 03:29 AM

Re: X-Cart 5.4.0 Public Beta is out
 
Quote:

Originally Posted by mgwashburn
I am facing the same problem here, I use Amazon's EC2 Linux 2 servers and they use:
PHP: 7.2.19 MySQL server: 5.5.5-10.2.10-MariaDB (InnoDB engine support enabled) Web server: Apache/2.4.39 () Operating system: Linux
XML parser: found GDLib: found (bundled (2.1.0 compatible)) Translation driver: GetText Curl version: 7.61.1
it won't let me upgrade.

In 5.3.6.3 we will have a fix which allows upgrading the store with MariaDB which provide a version.
Please contact our support team and they will be able to apply the hotfix to your store. Keep in mind that 5.4.0.x is still not available in merchant wave to upgrade from 5.3.6.x.


Quote:

Originally Posted by mgwashburn
ALSO,
I did a fresh install of X-cart 5.4 last week on the same server for a test environment. Everything looked good, but after uninstalling some unneeded plug-ins the entire admin back-end stopped working...I only get a white screen. The front end still works, but something is seriously broken. I didn't even have time to do anything except for adding one test category.

Please send log files and a list of plug-ins you've deleted.
Thanks!

Dougrun 07-29-2019 07:37 AM

Re: X-Cart 5.4.0 Public Beta is out
 
tried the upgrade today, page just went blank. not sure how long to leave it, waited 10 minutes, then tried to go back, error.

Call to undefined method Includes\Utils\ModulesManager::getEnabledStructure Hash()

mvs 07-29-2019 10:06 AM

Re: X-Cart 5.4.0 Public Beta is out
 
Quote:

Originally Posted by Dougrun
tried the upgrade today, page just went blank. not sure how long to leave it, waited 10 minutes, then tried to go back, error.

Call to undefined method Includes\Utils\ModulesManager::getEnabledStructure Hash()

Could you please specify from which version are you upgrading?
We released new 5.3.6.3 version in developers wave. We did the necessary fixes.
Here is the changelog: https://devs.x-cart.com/changelog/5.3.6.3_-_25_Jul_2019.html

Dougrun 07-29-2019 10:08 AM

Re: X-Cart 5.4.0 Public Beta is out
 
5.3.6.3 is what im on now. I left the 2 modules that it said needed to be disabled, installed, and tried it. I restored my backup and uninstalled those 2 modules and will try again tomorrow after it backs up again.

mvs 07-29-2019 10:09 AM

Re: X-Cart 5.4.0 Public Beta is out
 
Quote:

Originally Posted by Dougrun
5.3.6.3 is what im on now. I left the 2 modules that it said needed to be disabled, installed, and tried it. I restored my backup and uninstalled those 2 modules and will try again tomorrow after it backs up again.


Thank you for the quick reply, please send me log files if you'll face the issue again.

kevinrm 07-29-2019 08:15 PM

Re: X-Cart 5.4.0 Public Beta is out
 
Okay, it's still July yet I'm getting asked by my cart to upgrade from 5.3.6.3 to 5.4 even though I'm merchant wave. I thought 5.4 would not be ready until September? Why is this thing asking me to upgrade now and not September? Is it ready or not….?

Triple A Racing 07-30-2019 12:44 AM

Re: X-Cart 5.4.0 Public Beta is out
 
Quote:

Originally Posted by kevinrm
Okay, it's still July ~~ even though I'm merchant wave

Releases as per our forum signature. We have no upgrade prompts in our Merchant Wave Status Live Store (expected and correct) Today, in our Merchant Wave Status Dev Store, we have upgrade prompts for 5.3.6.2 > 5.3.6.3 plus the XC Custom Product Tabs Module from 5.3.4.3 > 5.3.4.4 (core not expected and incorrect we think) See these two previous posts:
Quote:

Originally Posted by mvs
5.3.6.3 will be released in merchant wave in September

Quote:

Originally Posted by mvs
We released new 5.3.6.3 version in developers wave

In our case, we can only assume, that the previously acknowledged as flawed (different thread) 5.3.6.2 release, is accountable for these premature upgrade prompts, so we're going to ignore them, until the Merchant Wave 5.3.6.3 and 5.4.0.4 releases are officially made by XC. Just another exciting day, over at the XC 5 QA & Consistency Labs Building... :D/

mvs 07-30-2019 05:06 AM

Re: X-Cart 5.4.0 Public Beta is out
 
We had some troubles with the distribution. Some of the merchants who have upgraded to 5.3.6.2 in Merchant wave were able to upgrade to 5.3.6.3 which in Developer wave. As soon 5.4.0.4 also in Developer wave even with Merchant wave in store's settings they saw the ability to upgrade to 5.4.0.x. We fixed it.

Here is changelog for the latest 5.3.6.3 in Developer wave: https://devs.x-cart.com/changelog/5.3.6.3_-_25_Jul_2019.html

Could you please confirm that you're not seeing the ability to upgrade to 5.4.0.4 while your store in Merchant wave?
For productions stores on XC 5.3.6.x I recommend to wait until September 2019.


All times are GMT -8. The time now is 08:07 PM.

Powered by vBulletin Version 3.5.4
Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.